/**
 * Utility functions for arangojs.
 *
 * @packageDocumentation
 * @internal
 */
/// <reference types="node" />
/**
 * @internal
 *
 * Helper to merge path segments.
 */
export declare function joinPath(...pathList: (string | undefined)[]): string;
/**
 * @internal
 *
 * Utility function for merging headers.
 */
export declare function mergeHeaders(...headersList: (Headers | string[][] | Record<string, string | ReadonlyArray<string>> | undefined)[]): import("undici-types").Headers;
/**
 * @internal
 *
 * Utility function for normalizing URLs.
 */
export declare function normalizeUrl(url: string): string;
/**
 * @internal
 *
 * Generate a unique request ID.
 */
export declare function generateRequestId(): string;
/**
 * @internal
 *
 * Creates a timer that will call the given callback after the specified
 * timeout.
 *
 * @param timeout - Number of milliseconds after which the callback will be
 *   called.
 * @param callback - Callback to call after the timeout.
 * @returns A function that clears the timer.
 */
export declare function createTimer(timeout: number, callback: () => void): () => void;
/**
 * @internal
 *
 * Generates a stack trace.
 */
export declare function generateStackTrace(): Error;
//# sourceMappingURL=util.d.ts.map