"use strict";
/**
 * ```ts
 * import type { LogLevel } from "arangojs/logs";
 * ```
 *
 * The "logs" module provides types for ArangoDB logs.
 *
 * @packageDocumentation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogLevel = void 0;
//#region Shared types
/**
 * Numeric representation of the logging level of a log entry.
 */
var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["FATAL"] = 0] = "FATAL";
    LogLevel[LogLevel["ERROR"] = 1] = "ERROR";
    LogLevel[LogLevel["WARNING"] = 2] = "WARNING";
    LogLevel[LogLevel["INFO"] = 3] = "INFO";
    LogLevel[LogLevel["DEBUG"] = 4] = "DEBUG";
})(LogLevel || (exports.LogLevel = LogLevel = {}));
//#endregion
//# sourceMappingURL=logs.js.map